<?php

/*
 * PuzzleApp
 * Webemyos
 * Jérôme Oliva
 * GNU Licence
 */

namespace Apps\Crm\Entity;

use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class CrmProspectCalledBack extends Entity {

    //Constructeur
    function __construct($core) {
        //Version
        $this->Version = "2.0.0.0";

        //Nom de la table 
        $this->Core = $core;
        $this->TableName = "CrmProspectCalledBack";
        $this->Alias = "CrmProspectCalledBack";

        $this->ProspectId = new Property("ProspectId", "ProspectId", NUMERICBOX, false, $this->Alias);
        $this->DateCall = new Property("DateCall", "DateCall", TEXTAREA, false, $this->Alias);
        $this->HourCall = new Property("HourCall", "HourCall", TEXTAREA, false, $this->Alias);

        //Creation de l entité 
        $this->Create();
    }
}

?>